package com.tofly.feesapi.bmgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.bmgl.entity.BmCbb;
import com.tofly.feesapi.bmgl.entity.dto.BmCbbFilter;
import com.tofly.feesapi.bmgl.entity.dto.BmCbbSelect;
import com.tofly.feesapi.bmgl.entity.dto.BmCbbSelect2;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.common.core.vo.PageResult;

import java.util.List;


public interface BmCbbService extends IService<BmCbb> {

    PageResult<BmCbbSelect> getPage(PageDto pageDto, BmCbbFilter filter);

    List<BmCbbSelect> cbblist( BmCbbFilter filter);

    PageResult<BmCbbSelect2> getPage2(PageDto pageDto, BmCbbFilter filter);

    PageResult<BmCbbSelect2> getPage3(PageDto pageDto, BmCbbFilter filter);

    List<BmCbb> getListCbbByRybm(String rybm);

    List<BmCbb> selectByBmList(List<String> cbbbmList);

    BmCbb getByIdNewly(String cbbbm);

    List<BmCbb> selectList();
}
